require_relative 'exe_command'

class Exe_CompareDeterminations < CommandLine_Exe

  def initialize(filepath1,filepath2,*params)

    @filepath1 = filepath1
    @filepath2 = filepath2

    super('CompareDeterminations.py',*params)

  end

  def generate_png(filepath)
    ret_code, rundetails = run(cmd_to_print(filepath))
    return ret_code, rundetails
  end

  def view
    ret_code, rundetails = run(cmd_to_view)
    return ret_code, rundetails
  end


  private

  def cmd_to_print(filepath)
    "#{cmd} --png #{filepath}"
  end

  def cmd_to_view
    "#{cmd} --plot"
  end

  def cmd
    "#{@exe_path} -p #{@filepath1} -j #{@filepath2} --use-rt-window"
  end

end